from qFunctions import *
import tabular as tb
import os, csv

outDir = 'out'
if not os.path.isdir(outDir):
    os.makedirs(outDir)

allFiles = listDir(pattern = ".*\.csv", fullPath = False)

for thisFile in allFiles:
    
    infile = open(thisFile)
    allData = csv.reader(infile)   
    
    #if sessNo <= 13: sessNoStrNew = '%02d' %(sessNo-1)
    
    outName = outDir + '/' + thisFile
    print thisFile + ' --> ' + outName
    outf = open(outName, 'w')
    dataWriter = csv.writer(outf,lineterminator = '\n')
    
    runType = thisFile.split('.')[0].split('_')[-1]
    rowNo = -1
    lastBlockNo = 'inf'
    for row in allData:
        # try: row[2] = str(int(row[2]) - 1)
        # except: pass        
        if rowNo != -1:
            
            row.insert(7, 1)
            
            if runType == 'main':
                
                if row[18] == 'nan': row[18] = ''
                row[6] = rowNo
                row[8] = rowNo            
                
                if row[13] == 'Buffer':
                    row[12] = '2.0'            
                    for i in range(4):
                        row[6] = rowNo
                        row[8] = rowNo
                        row[10] = str(rowNo*2) + '.0'
                        dataWriter.writerow(row)
                        
                        row[11] = str(float(row[11]) + 2)
                        rowNo += 1
                        
                else:
                    dataWriter.writerow(row)
                    rowNo += 1
            
            else: # 'mer' or 'loc'
                if row[6] != lastBlockNo:
                    row[7] = 1
                    lastBlockNo = row[6]
                else: row[7] = 0
                if row[17] == 'nan': row[17] = ''
                
                dataWriter.writerow(row)
                rowNo += 1
            
        else:
            row.insert(7, 'startBlock')
            dataWriter.writerow(row)
            rowNo += 1
        
    
    
    infile.close()
    outf.close()    
    # if not os.path.isdir(outDir):
        # os.makedirs(outDir)

    